Add CSS class for relation type to related issues list

2022-07-31 11:17 - salman mp

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

There is a function css_classes_for in IssueRelation but only used when displaying relation column in query results.

It's useful to add classes in relations list in issue details.

Associated revisions

Revision 21757 - 2022-08-05 02:20 - Go MAEDA

Add CSS class for relation type to related issues list (#37532).

Patch by salman mp and Mizuki ISHIKAWA.

Revision 21758 - 2022-08-05 03:16 - Go MAEDA

Fix RuboCop offense Layout/LineLength due to r21757 (#37532).

History

#1 - 2022-08-02 04:23 - Mizuki ISHIKAWA

- File test_render_issue_relations.patch added

+1

I have attached a file to add the test code.

#2 - 2022-08-02 04:43 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2022-08-02 10:27 - Go MAEDA

- File add_css_class_to_relations_items-v2.patch added

- Subject changed from Add suitable css clases to relations list itmes to Add CSS class for relation type to related issues list

- Target version changed from Candidate for next major release to 5.1.0

Slightly changed salman mp's patch.

Setting the target version to 5.1.0.

#4 - 2022-08-05 02:21 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#5 - 2023-10-30 13:51 - Go MAEDA

- Tracker changed from Patch to Feature

- Resolution set to Fixed

Files

add_css_class_to_relations_items.patch 782 Bytes 2022-07-31 salman mp
test_render_issue_relations.patch 1.45 KB 2022-08-02 Mizuki ISHIKAWA

add_css_class_to_relations_items-v2.patch 555 Bytes 2022-08-02 Go MAEDA
